Withdrawals

Start withdrawal

Use this method to submit withdrawal form.

POST
/api/v2/my/withdrawals

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/withdrawals" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "id": "36f59381-5b54-48bd-a0c7-3b908c476732",    "methodId": 1,    "accountId": 1,    "currencyCode": 2005,    "amount": "100"  }'
{  "id": "36f59381-5b54-48bd-a0c7-3b908c476732",  "confirmationChannel": "email"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": "Preliminary withdrawal check error.",  "violations": {    "fieldViolations": [      {        "field": "Address",        "violation": "Violation name",        "description": "Description"      }    ],    "generalViolations": [      {        "violation": "Violation name",        "description": "Description"      }    ]  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Internal Server Error"  }}